Pave Bank
Documents

Get Document

Retrieve a document by ID with a temporary download URL

Example Request

curl -X GET "https://api.pavebank.com/v1/documents/<DOCUMENT_ID>" \
  --header "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  --header "Content-Type: application/json"

Example Response

{
  "id": "document_abc123",
  "url": "https://storage.googleapis.com/pavebank-development-docs/<SIGNED_URL_WITH_PARAMETERS>",
  "expires_at": "2025-11-04T20:35:36.661738+08:00"
}
GET
/v1/documents/{documentID}

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Path Parameters

documentIDRequiredstring

The unique identifier of the document to retrieve

Response Body

Successfully retrieved document

idRequiredstring

The unique identifier of the document

urlRequiredstring

A temporary pre-signed URL to download the document. This URL will expire after the time specified in expires_at

expires_atRequiredstring

Timestamp indicating when the download URL will expire

Format: "date-time"
curl -X GET "https://developer-api-staging.pavebank.dev/v1/documents/string" \
  -H "Authorization: Bearer <token>"
{
  "id": "string",
  "url": "string",
  "expires_at": "2019-08-24T14:15:22Z"
}